library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
 
entity top_counter is port(
    CLK, nRST: in std_logic;
    Q           : out unsigned(7 downto 0));
end top_counter;
 
component counter16 port
(CLK, nRST: in std_logic;
	Q			: out unsigned(7 downto 0));
end component;

 
architecture arch of top_counter is 
begin

inst_counter16 : counter16 
port map
(  CLK   => CLK,
   nRST  => nRST,
	Q	   => Q
);   

end arch;